Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi
Interface RwiShapeType

public interface RwiShapeType

Defines string constants for `RwiProperty.SHAPE_TYPE` property.

Please note that classes and interfaces, and sequence and collaboration diagrams have the same value of a `SHAPE_TYPE` property.

Author:
  TogetherSoft
See Also: RwiProperty.SHAPE_TYPE

Field Summary
`final static String` | `ACTIVITY`
`final static String` | `ACTIVITY_DIAGRAM` An element is an activity diagram.
`final static String` | `ACTOR` An element is an actor.
`final static String` | `AGGREGATES_LINK`
`final static String` | `ASSOCIATES_LINK`
`final static String` | `ASSOCIATION` An element is an association link.
`final static String` | `ATTRIBUTE` An element is an attribute.
`final static String` | `BUSINESS_ENTITY`
`final static String` | `BUSINESS_PROCESS_DIAGRAM` An element is a business process diagram.
`final static String` | `BUSINESS_WORKER`
`final static String` | `CLASS` An element is a class or an interface.
`final static String` | `CLASS_DIAGRAM` An element is a class diagram.
`final static String` | `COMMUNICATES_LINK`
`final static String` | `COMPONENT`
`final static String` | `COMPONENT_DIAGRAM` An element is a component diagram.
`final static String` | `DECISION`
`final static String` | `DEFERRED_EVENT`
`final static String` | `DEPENDENCY` An element is a dependency link.
`final static String` | `DEPLOYMENT_DIAGRAM` An element is a deployment diagram.
`final static String` | `END_STATE`
`final static String` | `ER_DIAGRAM` An element is an ER diagram.
`final static String` | `GENERALIZATION` A element is a generalization link.
`final static String` | `HISTORY`
`final static String` | `HYPERLINK` An element is a hyperlink.
`final static String` | `IMPLEMENTATION` An element is an implementation link.
`final static String` | `INTERFACE`
`final static String` | `INTERNAL_TRANSITION`
`final static String` | `NODE`
`final static String` | `NOTE` An element is a note.
`final static String` | `OBJECT`
`final static String` | `OPERATION` An element is an operation.
`final static String` | `PACKAGE` An element is `RwiPackage` The value of this constant is `"Package"`.
`final static String` | `SEQUENCE_DIAGRAM` An element is a sequence or a collaboration diagram.
`final static String` | `SIGNAL_RECEIPT`
`final static String` | `SIGNAL_SENDING`
`final static String` | `START_STATE`
`final static String` | `STATE`
`final static String` | `STATE_DIAGRAM` An element is a statechart diagram.
`final static String` | `STATEMENT_BLOCK`
`final static String` | `SUBSYSTEM`
`final static String` | `SYNC_BAR`
`final static String` | `SYSTEM_BOUNDARY`
`final static String` | `USE_CASE`
`final static String` | `USE_CASE_DIAGRAM` An element is a use case diagram.

Field Detail

### ACTIVITY

    public final static String ACTIVITY

### ACTIVITY_DIAGRAM

    public final static String ACTIVITY_DIAGRAM

  An element is an activity diagram.

  The value of this constant is `"ActivityDiagram"`. You can use this value in .config files.

### ACTOR

    public final static String ACTOR

  An element is an actor.

  The value of this constant is `"Actor"`. You can use this value in .config files.

### AGGREGATES_LINK

    public final static String AGGREGATES_LINK

### ASSOCIATES_LINK

    public final static String ASSOCIATES_LINK

### ASSOCIATION

    public final static String ASSOCIATION

  An element is an association link.

  The value of this constant is `"AssociationLink"`. You can use this value in .config files.

### ATTRIBUTE

    public final static String ATTRIBUTE

  An element is an attribute.

  ``

       if (RwiShapeType.ATTRIBUTE.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
            ...  // it is an attribute
       }

  The value of this constant is `"Attribute"`. You can use this value in .config files.
  See Also:
    OPERATION

### BUSINESS_ENTITY

    public final static String BUSINESS_ENTITY

### BUSINESS_PROCESS_DIAGRAM

    public final static String BUSINESS_PROCESS_DIAGRAM

  An element is a business process diagram.

  The value of this constant is `"BusinessProcessDiagram"`. You can use this value in .config files.

### BUSINESS_WORKER

    public final static String BUSINESS_WORKER

### CLASS

    public final static String CLASS

  An element is a class or an interface. To distinguish classes and interfaces the RwiProperty.INTERFACE is used: only interfaces have this property. For example,

       if (RwiShapeType.CLASS.equals(someRwiNode.getProperty(RwiProperty.SHAPE_TYPE))){
         if (someRwiNode.hasProperty(RwiProperty.INTERFACE)){
            ... //it is an interface
         } else {
            ... //it is a class
         }
       }

  The value of this constant is `"Class"`. You can use this value in .config files.

### CLASS_DIAGRAM

    public final static String CLASS_DIAGRAM

  An element is a class diagram.

  The value of this constant is `"ClassDiagram"`. You can use this value in .config files.

### COMMUNICATES_LINK

    public final static String COMMUNICATES_LINK

### COMPONENT

    public final static String COMPONENT

### COMPONENT_DIAGRAM

    public final static String COMPONENT_DIAGRAM

  An element is a component diagram.

  The value of this constant is `"ComponentDiagram"`. You can use this value in .config files.

### DECISION

    public final static String DECISION

### DEFERRED_EVENT

    public final static String DEFERRED_EVENT

### DEPENDENCY

    public final static String DEPENDENCY

  An element is a dependency link.

  The value of this constant is `"DependencyLink"`. You can use this value in .config files.

### DEPLOYMENT_DIAGRAM

    public final static String DEPLOYMENT_DIAGRAM

  An element is a deployment diagram.

  The value of this constant is `"DeploymentDiagram"`. You can use this value in .config files.

### END_STATE

    public final static String END_STATE

### ER_DIAGRAM

    public final static String ER_DIAGRAM

  An element is an ER diagram.

  The value of this constant is `"ERDiagram"`. You can use this value in .config files.

### GENERALIZATION

    public final static String GENERALIZATION

  A element is a generalization link.

  The value of this constant is `"GeneralizationLink"`. You can use this value in .config files.

### HISTORY

    public final static String HISTORY

### HYPERLINK

    public final static String HYPERLINK

  An element is a hyperlink.

  The value of this constant is `"Hyperlink"`. You can use this value in .config files.

### IMPLEMENTATION

    public final static String IMPLEMENTATION

  An element is an implementation link.

  The value of this constant is `"ImplementationLink"`. You can use this value in .config files.

### INTERFACE

    public final static String INTERFACE

### INTERNAL_TRANSITION

    public final static String INTERNAL_TRANSITION

### NODE

    public final static String NODE

### NOTE

    public final static String NOTE

  An element is a note.

  The value of this constant is `"Note"`. You can use this value in .config files.

### OBJECT

    public final static String OBJECT

### OPERATION

    public final static String OPERATION

  An element is an operation.

  ``

       if (RwiShapeType.OPERATION.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
          ...  // it is an operation
       }

  The value of this constant is `"Operation"`. You can use this value in .config files.
  See Also:
    ATTRIBUTE

### PACKAGE

    public final static String PACKAGE

  An element is `RwiPackage`

  The value of this constant is `"Package"`. You can use this value in .config files.

### SEQUENCE_DIAGRAM

    public final static String SEQUENCE_DIAGRAM

  An element is a sequence or a collaboration diagram. Yes, both sequence and collaboration diagrams have this value of a RwiProperty.SHAPE_TYPE property, because they are represented by the same `RwiDiagram`. But when a diagram is displayed as a collaboration diagram, it has RwiProperty.VIEW_TYPE property. For example:

       if (RwiShapeType.SEQUENCE_DIAGRAM.equals(myRwiDiagram.getProperty(RwiProperty.SHAPE_TYPE))){
         if (myRwiDiagram.hasProperty(RwiProperty.VIEW_TYPE)){
            ... //it is a collaboration diagram
         } else {
            ... //it is a sequence diagram
         }
       }

  The value of this constant is `"SequenceDiagram"`. You can use this value in .config files.

### SIGNAL_RECEIPT

    public final static String SIGNAL_RECEIPT

### SIGNAL_SENDING

    public final static String SIGNAL_SENDING

### START_STATE

    public final static String START_STATE

### STATE

    public final static String STATE

### STATE_DIAGRAM

    public final static String STATE_DIAGRAM

  An element is a statechart diagram.

  The value of this constant is `"StateDiagram"`. You can use this value in .config files.

### STATEMENT_BLOCK

    public final static String STATEMENT_BLOCK

### SUBSYSTEM

    public final static String SUBSYSTEM

### SYNC_BAR

    public final static String SYNC_BAR

### SYSTEM_BOUNDARY

    public final static String SYSTEM_BOUNDARY

### USE_CASE

    public final static String USE_CASE

### USE_CASE_DIAGRAM

    public final static String USE_CASE_DIAGRAM

  An element is a use case diagram.

  The value of this constant is `"UseCaseDiagram"`. You can use this value in .config files.

Association Links

to Class java.lang.String

  An element is a class or an interface. To distinguish classes and interfaces the {@link RwiProperty#INTERFACE RwiProperty.INTERFACE} is used: only interfaces have this property. For example,

       if (RwiShapeType.CLASS.equals(someRwiNode.getProperty(RwiProperty.SHAPE_TYPE))){
         if (someRwiNode.hasProperty(RwiProperty.INTERFACE)){
            ... //it is an interface
         } else {
            ... //it is a class
         }
       }

  The value of this constant is `"Class"`. You can use this value in .config files.

to Class java.lang.String

  An element is an attribute.

  ``

       if (RwiShapeType.ATTRIBUTE.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
            ...  // it is an attribute
       }

  The value of this constant is `"Attribute"`. You can use this value in .config files.

  see #OPERATION

to Class java.lang.String

  An element is an operation.

  ``

       if (RwiShapeType.OPERATION.equals(someRwiMember.getProperty(RwiProperty.SHAPE_TYPE))) {
          ...  // it is an operation
       }

  The value of this constant is `"Operation"`. You can use this value in .config files.

  see #ATTRIBUTE

to Class java.lang.String

  A element is a generalization link.

  The value of this constant is `"GeneralizationLink"`. You can use this value in .config files.

to Class java.lang.String

  An element is an implementation link.

  The value of this constant is `"ImplementationLink"`. You can use this value in .config files.

to Class java.lang.String

  An element is an association link.

  The value of this constant is `"AssociationLink"`. You can use this value in .config files.

to Class java.lang.String

  An element is `RwiPackage`

  The value of this constant is `"Package"`. You can use this value in .config files.

to Class java.lang.String

  An element is a hyperlink.

  The value of this constant is `"Hyperlink"`. You can use this value in .config files.

to Class java.lang.String

  An element is a dependency link.

  The value of this constant is `"DependencyLink"`. You can use this value in .config files.

to Class java.lang.String

  An element is a class diagram.

  The value of this constant is `"ClassDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a component diagram.

  The value of this constant is `"ComponentDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is an ER diagram.

  The value of this constant is `"ERDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a sequence or a collaboration diagram. Yes, both sequence and collaboration diagrams have this value of a {@link RwiProperty#SHAPE_TYPE RwiProperty.SHAPE_TYPE} property, because they are represented by the same `RwiDiagram`. But when a diagram is displayed as a collaboration diagram, it has {@link RwiProperty#VIEW_TYPE RwiProperty.VIEW_TYPE} property. For example:

       if (RwiShapeType.SEQUENCE_DIAGRAM.equals(myRwiDiagram.getProperty(RwiProperty.SHAPE_TYPE))){
         if (myRwiDiagram.hasProperty(RwiProperty.VIEW_TYPE)){
            ... //it is a collaboration diagram
         } else {
            ... //it is a sequence diagram
         }
       }

  The value of this constant is `"SequenceDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a statechart diagram.

  The value of this constant is `"StateDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a use case diagram.

  The value of this constant is `"UseCaseDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is an activity diagram.

  The value of this constant is `"ActivityDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a deployment diagram.

  The value of this constant is `"DeploymentDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is a business process diagram.

  The value of this constant is `"BusinessProcessDiagram"`. You can use this value in .config files.

to Class java.lang.String

  An element is an actor.

  The value of this constant is `"Actor"`. You can use this value in .config files.

to Class java.lang.String

  An element is a note.

  The value of this constant is `"Note"`. You can use this value in .config files.

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD